Package net.shibboleth.idp.cas.service

# Interface ServiceRegistry

All Known Implementing Classes:
  `MetadataServiceRegistry`, `PatternServiceRegistry`, `ReloadingServiceRegistry`

public interface ServiceRegistry
Registry for explicitly verified CAS services (relying parties).

## Method Summary

Modifier and Type
Method
Description
`Service`
`lookup(String serviceURL)`
Looks up a service entry from a service URL.

## Method Details

### lookup

@Nullable Service lookup(@Nonnull String serviceURL)
Looks up a service entry from a service URL.

Parameters:
  `serviceURL` - Non-null CAS service URL.
Returns:
  Service found in registry or null if no match found.